VERSION 5.00
Begin VB.Form Setup 
   Caption         =   "Zac's Remote Controled CPU"
   ClientHeight    =   3960
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3645
   LinkTopic       =   "Form1"
   ScaleHeight     =   3960
   ScaleWidth      =   3645
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer TimeOut 
      Enabled         =   0   'False
      Interval        =   1500
      Left            =   3240
      Top             =   1920
   End
   Begin VB.CommandButton OK 
      Caption         =   "OK"
      Height          =   375
      Left            =   2040
      Picture         =   "Setup.frx":0000
      TabIndex        =   0
      Top             =   3360
      Width           =   1215
   End
   Begin VB.Frame CommPorts 
      Caption         =   "Select comm port"
      Height          =   855
      Left            =   240
      TabIndex        =   1
      Top             =   2640
      Width           =   1455
      Begin VB.OptionButton Comm2 
         Caption         =   "Comm2"
         Height          =   255
         Left            =   120
         TabIndex        =   3
         Top             =   480
         Width           =   1095
      End
      Begin VB.OptionButton Comm1 
         Caption         =   "Comm1"
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Make sure to check that comm port exists and is not in use"
      ForeColor       =   &H000000FF&
      Height          =   735
      Left            =   1920
      TabIndex        =   4
      Top             =   2400
      Width           =   1575
   End
   Begin VB.Image Image1 
      Height          =   1980
      Left            =   360
      Picture         =   "Setup.frx":2B19
      Top             =   120
      Width           =   2955
   End
End
Attribute VB_Name = "Setup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'********************************************************************
'   Setup.frm
'       -Sets up the PC Remote Control program by allowing user
'           to select which comm port they are using.  It then checks
'           the comm port for any errors and to confirm communication
'           with the IRMAN device before proceeding to the History Form.
'
'   Created by: Zac M. Leider
'   Date: May 5th, 2003
'   Project: PC Remote Control (SNC Senior Capstone '03)
'
'   Needs:
'       MSCOMM control -
'           Projects --> Components --> MSCOMMM control 6.0
'       Rich TextBox -
'           Projects --> Components --> Microsoft Rich Textbox control 6.0
'       ProgressBar & TreeView -
'           Projects --> Components --> Microsoft Windows Common control 6.0
'       Microsoft Speech Object Library -
'           Install Microsoft Speech SDK 5.1 ("G:\z\bm\speechsdk51.exe")
'
'   Files needed:
'       Remote1.txt, Remote2.txt, ... , Remote5.txt
'       go.bmp, stop.bmp
'       irman.jpg, smallirman.jpg, tvremote.jpg
'
'   System needs:
'       WinAmp 2.76
'       InterVideo WinDVD 4.9
'       AOL Instant Messanger
'       Microsoft Office (Word and PowerPoint)
'       Accessories (Paint and Calculator)
'
'********************************************************************

' Public variables
Dim arr() As Byte       'Used to read from the comm port
Dim buffer As Variant   'Used to read and write to the comm port
Dim TOut As Boolean     'Allows a waiting period to hear back from comm port

Option Explicit


' Called when Setup Form is created - Setup is the starting form
Private Sub Form_Load()

    Comm1.Value = True

End Sub


' OK button has been pressed
Private Sub OK_Click()

    Dim temp As Integer
    Dim dd(0) As Byte
    Dim comm As Integer

    ' Gets the given comm port to use with the IRMAN from the user
    If Comm1.Value = True Then
        comm = 1
    Else
        comm = 2
    End If
    
    TOut = False    'Initializes TOut to false
    
    On Error GoTo NoPortExists  'Redirects errors to be handled by program
    History.MSComm1.CommPort = comm     'Sets the comm port to use
    On Error GoTo 0
    
    ' 9600 baud, no parity, 8 data, and 1 stop bit.
    History.MSComm1.Settings = "9600,N,8,1"
    
    History.MSComm1.InputMode = comInputModeBinary
    
    ' Tell the control to read entire buffer when Input is used.
    History.MSComm1.InputLen = 0
    
    On Error GoTo PortOpen 'If comm port is already open trap that
    History.MSComm1.PortOpen = True
    On Error GoTo 0
    commopen = True
    
    Sleep (100)
    While History.MSComm1.InBufferCount > 0  'clear input buffer
        buffer = History.MSComm1.Input
    Wend
    
    'Intialize IRMAN by sending 'I' and 'R' ... successful if
    'an 'O' and a 'K' are sent back
    dd(0) = Asc("I")
    buffer = dd
    History.MSComm1.Output = buffer
   
    dd(0) = Asc("R")
    buffer = dd
    History.MSComm1.Output = buffer
   
    TimeOut.Enabled = True
    While History.MSComm1.InBufferCount <= 0 'wait till bytes received
        DoEvents
    Wend
    TimeOut.Enabled = False
    
    If TOut = False Then
         Sleep (100)
         
         buffer = History.MSComm1.Input
         arr = buffer
         
         temp = UBound(arr)
         If temp < 1 Then
            MsgBox "Failed to initialize IRMAN!", vbCritical
         'IRMAN sends back a "OK" if everything is correct
         ElseIf Chr(arr(0)) = "O" And Chr(arr(1)) = "K" Then
             History.MSComm1.RThreshold = 6
             Setup.Hide
             History.Show
         Else
             MsgBox "Failed to initialize IRMAN!", vbCritical
         End If
    End If
    
'Different error handling
    GoTo done
PortOpen:
    MsgBox "That comm port is already in use!", vbCritical
    GoTo done
    
NoPortExists:
    MsgBox "That port number does not exist!", vbCritical

done:
    On Error GoTo 0
End Sub


' Called everytime the Timer fires
'   -used to wait for response from IRMAN, but not wait forever
Private Sub TimeOut_Timer()

    TimeOut.Enabled = False
    History.MSComm1.PortOpen = False
    MsgBox "Error in communication to IRMAN, make sure setup" + _
        " was done properly", vbCritical
    TOut = True

End Sub


' Called when Setup Form is closed
Private Sub Form_Unload(Cancel As Integer)

    End ' Cleans up any mess that I may have overlooked

End Sub
