Attribute VB_Name = "WinAmp"
'********************************************************************
'   WinAmp.bas
'       -Contains all the specific information about communication
'           of the program with the WinAmp application.  Here is where
'           the constants are located for the SendMessage call to the
'           WinAmp program.  Also certain functions associated with
'           WinAmp.
'
'   Created by: Zac M. Leider
'   Date: May 5th, 2003
'   Project: PC Remote Control (SNC Senior Capstone '03)
'
'********************************************************************

Option Explicit

'********************************************************************
'************************ GLOBAL VARIABLE ***************************
'********************************************************************
Public hWinAmp As Long

'********************************************************************
'*************************** CONSTANTS ******************************
'********************************************************************

Public Const WM_COMMAND = &H111             'Used in SendMessage call
Public Const WM_USER = &H400                'Used in SendMessage call

'********************************************************************
'******************* COMMAND MESSAGE CONSTANTS **********************
'********************************************************************
Public Const WA_PREVTRACK = 40044
Public Const WA_NEXTTRACK = 40048
Public Const WA_PLAY = 40045
Public Const WA_PAUSE = 40046
Public Const WA_STOP = 40047
Public Const WA_FADEOUTSTOP = 40147
Public Const WA_STOPAFTERTRACK = 40157
Public Const WA_FASTFORWARD = 40148                 '5 secs
Public Const WA_FASTREWIND = 40144                  '5 secs
Public Const WA_PLAYLISTHOME = 40154
Public Const WA_PLAYLISTEND = 40158
Public Const WA_DIALOGOPENFILE = 40029
Public Const WA_DIALOGOPENURL = 40155
Public Const WA_DIALOGFILEINFO = 40188
Public Const WA_TIMEDISPLAYELAPSED = 40037
Public Const WA_TIMEDISPLAYREMAINING = 40038
Public Const WA_TOGGLEPREFERENCES = 40012
Public Const WA_DIALOGVISUALOPTIONS = 40190
Public Const WA_DIALOGVISUALPLUGINOPTIONS = 40191
Public Const WA_STARTVISUALPLUGIN = 40192
Public Const WA_TOGGLEABOUT = 40041
Public Const WA_TOGGLEAUTOSCROLL = 40189
Public Const WA_TOGGLEALWAYSONTOP = 40019
Public Const WA_TOGGLEWINDOWSHADE = 40064
Public Const WA_TOGGLEPLAYLISTWINDOWSHADE = 40266
Public Const WA_TOGGLEDOUBLESIZE = 40165
Public Const WA_TOGGLEEQ = 40036
Public Const WA_TOGGLEPLAYLIST = 40040
Public Const WA_TOGGLEMAINWINDOW = 40258
Public Const WA_TOGGLEMINIBROWSER = 40298
Public Const WA_TOGGLEEASYMOVE = 40186
Public Const WA_VOLUMEUP = 40058                    'increase 1%
Public Const WA_VOLUMEDOWN = 40059                  'decrease 1%
Public Const WA_TOGGLEREPEAT = 40022
Public Const WA_TOGGLESHUFFLE = 40023
Public Const WA_DIALOGJUMPTOTIME = 40193
Public Const WA_DIALOGJUMPTOFILE = 40194
Public Const WA_DIALOGSKINSELECTOR = 40219
Public Const WA_DIALOGCONFIGUREVISUALPLUGIN = 40221
Public Const WA_RELOADSKIN = 40291
Public Const WA_CLOSE = 40001
Public Const WA_GETVERSION = 0
Public Const WA_CLEARPLAYLIST = 101
Public Const WA_GETSTATUS = 104
Public Const WA_GETTRACKPOSITION = 105
Public Const WA_GETTRACKLENGTH = 105
Public Const WA_SEEKTOPOSITION = 106
Public Const WA_SETVOLUME = 122
Public Const WA_SETBALANCE = 123
Public Const WA_GETEQDATA = 127
Public Const WA_SETEQDATA = 128



Sub WinAmpMessage(Message As Long)
    
    ' *****************************************************************************
    ' ************ Used to send any of the Command messages to WinAmp *************
    ' *****************************************************************************
    
    If hWinAmp = 0 Then
       MsgBox "WinAmp window not found yet...", vbOKOnly + vbCritical, _
       "WinAmp Not Found"
       Exit Sub
    End If
    
    SendMessage hWinAmp, WM_COMMAND, Message, 0

End Sub





Function FindWinAmp() As Boolean

    ' *****************************************************************************
    ' *************************** Gets handle to WinAmp ***************************
    ' *****************************************************************************
        
    hWinAmp = FindWindow("Winamp v1.x", vbNullString)
    If hWinAmp <> 0 Then
       FindWinAmp = True
    Else
       FindWinAmp = False
    End If

End Function
