Attribute VB_Name = "WinDVD"
'********************************************************************
'   WinDVD.bas
'       -Contains all the specific information about communication
'           of the program with the WinDVD application.  Here is where
'           the constants are located for the SendMessage call to the
'           WinDVD program.  Also certain functions associated with
'           WinDVD.
'
'   Created by: Zac M. Leider
'   Date: May 5th, 2003
'   Project: PC Remote Control (SNC Senior Capstone '03)
'
'********************************************************************

Option Explicit


'********************************************************************
'************************ GLOBAL VARIABLE ***************************
'********************************************************************
Public hWinDVD As Long

'********************************************************************
'*************************** CONSTANTS ******************************
'********************************************************************

Public Const WD_CLOSE = 99972
Public Const WD_PLAY = 32772
Public Const WD_PAUSE = 98312
Public Const WD_STOP = 98309
Public Const WD_NEXTCHAPTER = 98314
Public Const WD_PREVCHAPTER = 98313
Public Const WD_FASTFORWARD = 98310
Public Const WD_REWIND = 98311
Public Const WD_EJECT = 32771
Public Const WD_ENTER = 98308
Public Const WD_MUTE = 98318
Public Const WD_VOLUMEUP = 98423
Public Const WD_VOLUMEDOWN = 98424
Public Const WD_BRIGHTER = 98425
Public Const WD_DARKER = 98426
Public Const WD_FULLSCREEN = 101637
Public Const WD_MENU = 92901


Sub WinDVDMessage(Message As Long)
    
    ' *****************************************************************************
    ' ************ Used to send any of the Command messages to WinDVD *************
    ' *****************************************************************************
    
    If hWinDVD = 0 Then
       MsgBox "WinDVD window not found yet...", vbOKOnly + vbCritical, _
       "WinDVD Not Found"
       Exit Sub
    End If
    
    SendMessage hWinDVD, WM_COMMAND, Message, 0

End Sub





Function FindWinDVD() As Boolean

    ' *****************************************************************************
    ' ************************** Gets handle to WinDVD ****************************
    ' *****************************************************************************
        
    'hWinDVD = FindWindow("InterVideo WinDVD v1.x", vbNullString)
    hWinDVD = GetForegroundWindow()
    
    If hWinDVD <> 0 Then
       FindWinDVD = True
    Else
       FindWinDVD = False
    End If

End Function

